record from spotify series 1 not work fine

Bug #1801505 reported by melomane on 2018-11-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Audio Recorder
High
moma

Bug Description

when start playing in spotify 1, record start as attended, but stop after 1/2 second.
when start again and stop and start and stop... after 2 seconds record is fine but first 2 seconds of recording are lost.

also this appeared if volume is changed.

ubuntu 18.04, mint 18.3

with spotify 0.9 series all work fine.

~ $ audio-recorder --debug-signal
Please activate the timer (checkbox) to see the level values.

(audio-recorder:9575): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed

(audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64: assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed

(audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64: assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed

(audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64: assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed

(audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64: assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed

(audio-recorder:9575): GStreamer-CRITICAL **: gst_segment_to_running_time: assertion 'segment->format == format' failed

(audio-recorder:9575): GStreamer-CRITICAL **: gst_segment_to_stream_time: assertion 'segment->format == format' failed

(audio-recorder:9575): GStreamer-CRITICAL **: gst_segment_to_running_time: assertion 'segment->format == format' failed

(audio-recorder:9575): GStreamer-CRITICAL **: gst_segment_to_stream_time: assertion 'segment->format == format' failed

(audio-recorder:9575): GStreamer-CRITICAL **: gst_segment_to_running_time: assertion 'segment->format == format' failed

(audio-recorder:9575): GStreamer-CRITICAL **: gst_segment_to_stream_time: assertion 'segment->format == format' failed

description: updated
description: updated
description: updated
description: updated
moma (osmoma) wrote :

Hello,
Yes, I can see that.
Spotify probably sends several START/STOP messages (in various forms) to the Dbus. Audio-recorder reacts to those messages. I will debug and study those DBus messages when time.

Good you noticed that audio-recorder reacts to volume change in Spotify. Again Spotify sends messages to the DBus about the change.

For your info:
Messages on DBus are defined by the MPRIS2 standard.
Ref: https://specifications.freedesktop.org/mpris-spec/latest/

// Moma

moma (osmoma) wrote :

Re-hi,

I made a quick debug of the src/dbus-mpris2.[ch] module and I can see that Spotify-1 sends the same message several times. Spotify can do the right thing all the time.

Audio-recorder should handle the situation.
Problem is that some other media-players (like Totem, Amarok, Clementin, Rhythmbox, etc.) may function slightly differently. I need to find a solution that works for all.

Some debug data from DBus:

g-signal: Received PropertiesChanged signal from org.mpris.MediaPlayer2.spotify.
Data is:('org.mpris.MediaPlayer2.Player', {'Metadata': <{'mpris:trackid': <'spotify:track:2Y73798F4zbbbvKT02fbtE'>, 'mpris:length': <uint64 185652000>, 'mpris:artUrl': <'https://open.spotify.com/image/4d331421124680709159a394b236fd4186c5ef57'>, 'xesam:album': <'Finalidade Era Ficar em Casa'>, 'xesam:albumArtist': <['MC Kevin o Chris']>, 'xesam:artist': <['MC Kevin o Chris']>, 'xesam:autoRating': <0.76000000000000001>, 'xesam:discNumber': <1>, 'xesam:title': <'Finalidade Era Ficar em Casa'>, 'xesam:trackNumber': <1>, 'xesam:url': <'https://open.spotify.com/track/2Y73798F4zbbbvKT02fbtE'>}>, 'PlaybackStatus': <'Playing'>}, @as [])
...
...
...
g-signal: Received PropertiesChanged signal from org.mpris.MediaPlayer2.spotify.
Data is:('org.mpris.MediaPlayer2.Player', {'Metadata': <{'mpris:trackid': <'spotify:track:2Y73798F4zbbbvKT02fbtE'>, 'mpris:length': <uint64 185652000>, 'mpris:artUrl': <'https://open.spotify.com/image/4d331421124680709159a394b236fd4186c5ef57'>, 'xesam:album': <'Finalidade Era Ficar em Casa'>, 'xesam:albumArtist': <['MC Kevin o Chris']>, 'xesam:artist': <['MC Kevin o Chris']>, 'xesam:autoRating': <0.76000000000000001>, 'xesam:discNumber': <1>, 'xesam:title': <'Finalidade Era Ficar em Casa'>, 'xesam:trackNumber': <1>, 'xesam:url': <'https://open.spotify.com/track/2Y73798F4zbbbvKT02fbtE'>}>, 'PlaybackStatus': <'Playing'>}, @as [])

----------------------------
And when stopping or pausing:

g-signal: Received PropertiesChanged signal from org.mpris.MediaPlayer2.spotify.
Data is:('org.mpris.MediaPlayer2.Player', {'Metadata': <{'mpris:trackid': <'spotify:track:2Y73798F4zbbbvKT02fbtE'>, 'mpris:length': <uint64 185652000>, 'mpris:artUrl': <'https://open.spotify.com/image/4d331421124680709159a394b236fd4186c5ef57'>, 'xesam:album': <'Finalidade Era Ficar em Casa'>, 'xesam:albumArtist': <['MC Kevin o Chris']>, 'xesam:artist': <['MC Kevin o Chris']>, 'xesam:autoRating': <0.76000000000000001>, 'xesam:discNumber': <1>, 'xesam:title': <'Finalidade Era Ficar em Casa'>, 'xesam:trackNumber': <1>, 'xesam:url': <'https://open.spotify.com/track/2Y73798F4zbbbvKT02fbtE'>}>, 'PlaybackStatus': <'Paused'>}, @as [])

moma (osmoma) wrote :

Re-hello,

I just want to inform that it is easy to debug the messages that Spotify is sending.
Just run:
$ dbus-monitor "type='signal',sender='org.mpris.MediaPlayer2.spotify'"

Then select a track or change volume in Spotify.
---

Would you please (if possible) use the dbus-monitor command and check your findings.
---

One possible solution:
Audio-recorder could check if the message from media-player is duplicate of the previous one. It could simply drop the duplicate msg.

This would "almost" work right.
But audio-recorder would NOT KNOW what to do if user clicks the same song title twice (in the media player).
Should it stop and restart the recording from zero.
Or should it ignore the 2.nd message as duplicate.

melomane (domenico-guerra) wrote :

Hello.

i think than audiorecorder should ignore the 2.nd message as duplicate in the first 2 seconds, after stop and restart the recording from zero.

my english is not good, so i am not sure are explain correctly.

Rolf Leggewie (r0lf) on 2019-02-18
Changed in audio-recorder:
importance: Undecided → Low
status: New → Triaged
moma (osmoma) wrote :

Hello all,
I have done some work on the audio-recorder. It now ignores duplicate "Metadata" messages. The code is still in my local drive and it works very well. Especially Totem and Spotify will now speak well with the recorder.

I am thinking that the audio-recorder should be re-written.
It needs code clean up and simplification + a new GUI.
Maybe the Skype interface should be removed.
Does the latest Skype send any DBus-messages?

I hope someone will pick up the pieces and start re-implementing this program.
Of course, I will help.
Though, now a days, I mostly do kitchen-garden, agriculture + wine (drinking!) ;-)
---

I will upload the code to Launchpad when it is clean & ready.
I have couple of small things to do.
New packages will come later.

Thanks to all in this thread.

Kindly
  Osmo (Moma) Antero
  Portugal

Download full text (3.3 KiB)

Hi. Thank you for debug audiorecorder  . I can not help for coding. I have not knownledge. But i can help for drinking wine... Best regards from Marseille , France. DomenicoEnvoyé depuis mon smartphone Samsung Galaxy.
-------- Message d'origine --------De : moma <email address hidden> Date : 21/02/2019 20:54 (GMT+01:00) À : <email address hidden> Objet : [Bug 1801505] Re: record from spotify series 1 not work fine Hello all,I have done some work on the audio-recorder. It now ignores duplicate "Metadata" messages. The code is still in my local drive and it works very well. Especially Totem and Spotify will now speak well with the recorder.I am thinking that the audio-recorder should be re-written. It needs code clean up and simplification + a new GUI. Maybe the Skype interface should be removed. Does the latest Skype send any DBus-messages?I hope someone will pick up the pieces and start re-implementing this program. Of course, I will help. Though, now a days, I mostly do kitchen-garden, agriculture + wine (drinking!) ;-)---I will upload the code to Launchpad when it is clean & ready.I have couple of small things to do.New packages will come later.Thanks to all in this thread.Kindly  Osmo (Moma) Antero  Portugal-- You received this bug notification because you are subscribed to the bugreport.https://bugs.launchpad.net/bugs/1801505Title:  record from spotify series 1 not work fineStatus in Audio Recorder:  TriagedBug description:  when start playing in spotify 1,  record start as attended,  but stop after 1/2 second.  when start again and stop and start and stop... after 2 seconds record is fine but first 2 seconds of recording are lost.  also this appeared if volume is changed.  ubuntu 18.04, mint 18.3  with spotify 0.9 series all work fine.  ~ $ audio-recorder --debug-signal  Please activate the timer (checkbox) to see the level values.  (audio-recorder:9575): Gdk-CRITICAL **:  gdk_window_thaw_toplevel_updates: assertion  'window->update_and_descendants_freeze_count > 0' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_stream_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_stream_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-C...

Read more...

moma (osmoma) wrote :
Download full text (3.7 KiB)

Hello, Olá,

Audio-recorder:
I have now improved the code so duplicate DBus-messages will not will be a
problem.

The code is available on:
https://bazaar.launchpad.net/~audio-recorder/audio-recorder/trunk/changes

Please see the revision: 1423
<https://bazaar.launchpad.net/~audio-recorder/audio-recorder/trunk/revision/1423>

I will generate new packages shortly.

Boa noite para todos.
Kindly
  Osmo (Moma) Antero e Bica

moma <email address hidden> escreveu no dia quinta, 21/02/2019 à(s) 20:00:

> Hello all,
> I have done some work on the audio-recorder. It now ignores duplicate
> "Metadata" messages. The code is still in my local drive and it works very
> well. Especially Totem and Spotify will now speak well with the recorder.
>
> I am thinking that the audio-recorder should be re-written.
> It needs code clean up and simplification + a new GUI.
> Maybe the Skype interface should be removed.
> Does the latest Skype send any DBus-messages?
>
> I hope someone will pick up the pieces and start re-implementing this
> program.
> Of course, I will help.
> Though, now a days, I mostly do kitchen-garden, agriculture + wine
> (drinking!) ;-)
> ---
>
> I will upload the code to Launchpad when it is clean & ready.
> I have couple of small things to do.
> New packages will come later.
>
> Thanks to all in this thread.
>
> Kindly
> Osmo (Moma) Antero
> Portugal
>
> --
> You received this bug notification because you are subscribed to Audio
> Recorder.
> https://bugs.launchpad.net/bugs/1801505
>
> Title:
> record from spotify series 1 not work fine
>
> Status in Audio Recorder:
> Triaged
>
> Bug description:
> when start playing in spotify 1, record start as attended, but stop
> after 1/2 second.
> when start again and stop and start and stop... after 2 seconds record
> is fine but first 2 seconds of recording are lost.
>
> also this appeared if volume is changed.
>
> ubuntu 18.04, mint 18.3
>
> with spotify 0.9 series all work fine.
>
> ~ $ audio-recorder --debug-signal
> Please activate the timer (checkbox) to see the level values.
>
> (audio-recorder:9575): Gdk-CRITICAL **:
> gdk_window_thaw_toplevel_updates: assertion
> 'window->update_and_descendants_freeze_count > 0' failed
>
> (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:
> assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed
>
> (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:
> assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed
>
> (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:
> assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed
>
> (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:
> assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_running_time: assertion 'segment->format == format'
> failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_stream_time: assertion 'segment->format == format'
> failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_running_time: assertion 'segment->format == format'
> f...

Read more...

moma (osmoma) on 2019-03-03
Changed in audio-recorder:
importance: Low → High
assignee: nobody → moma (osmoma)
status: Triaged → Fix Committed
moma (osmoma) wrote :

Hello all,

Version 3.0.1 of audio-recorder (with the fixes) is now available for Ubuntu 19.04 (Disco Dingo)
I have not yet generated packages for Ubuntu 18.x. I need to know it this version works right. Ubuntu 18.x has a lot of users of audio-recorder.

Please see:
https://launchpad.net/~audio-recorder/+archive/ubuntu/ppa/+packages

Would you please test the Ubuntu 19.04 package (version 3.0.1).
Report your findings.

ps. It is quite possible the 19.04 package ("audio-recorder-3.0.1~disco") runs on Ubuntu 18.04 too.

Bom domingo,
Cumprimentos
 Osmo (Moma) Antero

moma (osmoma) wrote :

Re-hi,
Looks like the version number (2.2.3) did not change in the configuration.
The code is otherwise right.

I will pump the version to 3.3.2 and let Launchpad.net re-compile new packages.
Launchpad does not allow to use same number twice during dput/upload and re-compilation.

moma (osmoma) wrote :

Hello again,
Launchpad has now new packages for Ubuntu 19.10.
Please look for "audio-recorder - 3.0.2~disco" in
https://launchpad.net/~audio-recorder/+archive/ubuntu/ppa/+packages

You may simply expand the link and click the .deb file directly.
That may even work on Ubuntu 18.x too?

Please tell me if you need or prefer real packages for Ubuntu 18.10.
I am listening.

Cumprimentos
  Osmo Moma Antero
  Portugal

moma <email address hidden> escreveu no dia domingo, 3/03/2019 à(s) 11:55:

> Re-hi,
> Looks like the version number (2.2.3) did not change in the configuration.
> The code is otherwise right.
>
> I will pump the version to 3.3.2 and let Launchpad.net re-compile new
> packages.
> Launchpad does not allow to use same number twice during dput/upload and
> re-compilation.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1801505
>
> Title:
> record from spotify series 1 not work fine
>
> Status in Audio Recorder:
> Fix Committed
>
> Bug description:
> when start playing in spotify 1, record start as attended, but stop
> after 1/2 second.
> when start again and stop and start and stop... after 2 seconds record
> is fine but first 2 seconds of recording are lost.
>
> also this appeared if volume is changed.
>
> ubuntu 18.04, mint 18.3
>
> with spotify 0.9 series all work fine.
>
> ~ $ audio-recorder --debug-signal
> Please activate the timer (checkbox) to see the level values.
>
> (audio-recorder:9575): Gdk-CRITICAL **:
> gdk_window_thaw_toplevel_updates: assertion
> 'window->update_and_descendants_freeze_count > 0' failed
>
> (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:
> assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed
>
> (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:
> assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed
>
> (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:
> assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed
>
> (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:
> assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_running_time: assertion 'segment->format == format'
> failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_stream_time: assertion 'segment->format == format'
> failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_running_time: assertion 'segment->format == format'
> failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_stream_time: assertion 'segment->format == format'
> failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_running_time: assertion 'segment->format == format'
> failed
>
> (audio-recorder:9575): GStreamer-CRITICAL **:
> gst_segment_to_stream_time: assertion 'segment->format == format'
> failed
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/audio-recorder/+bug/1801505/+subscriptions
>

--
Sent from my PC, laptop or phone with Ubuntu-Linux.

moma (osmoma) wrote :

Sorry, I mean Ubuntu 19.04. (too much wine ;-)

And yes, it runs fine on Ubuntu 18.10 too. I just tested it.
Expand the "audio-recorder-3.0.2~disco" link and click the appropriate .deb file.
Install it.

//Moma

melomane (domenico-guerra) wrote :

Installed 3.0.2,  work on 18.04 ( mint 19)Very good.  Envoyé depuis mon smartphone Samsung Galaxy.
-------- Message d'origine --------De : moma <email address hidden> Date : 03/03/2019 11:54 (GMT+01:00) À : <email address hidden> Objet : [Bug 1801505] Re: record from spotify series 1 not work fine Hello all,Version 3.0.1 of audio-recorder (with the fixes) is now available for Ubuntu 19.04 (Disco Dingo)I have not yet generated packages for Ubuntu 18.x. I need to know it this version works right. Ubuntu 18.x has a lot of users of audio-recorder. Please see:https://launchpad.net/~audio-recorder/+archive/ubuntu/ppa/+packagesWould you please test the Ubuntu 19.04 package (version 3.0.1).Report your findings.ps. It is quite possible the 19.04 package ("audio-recorder-3.0.1~disco") runs on Ubuntu 18.04 too.Bom domingo,Cumprimentos Osmo (Moma) Antero-- You received this bug notification because you are subscribed to the bugreport.https://bugs.launchpad.net/bugs/1801505Title:  record from spotify series 1 not work fineStatus in Audio Recorder:  Fix CommittedBug description:  when start playing in spotify 1,  record start as attended,  but stop after 1/2 second.  when start again and stop and start and stop... after 2 seconds record is fine but first 2 seconds of recording are lost.  also this appeared if volume is changed.  ubuntu 18.04, mint 18.3  with spotify 0.9 series all work fine.  ~ $ audio-recorder --debug-signal  Please activate the timer (checkbox) to see the level values.  (audio-recorder:9575): Gdk-CRITICAL **:  gdk_window_thaw_toplevel_updates: assertion  'window->update_and_descendants_freeze_count > 0' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_stream_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_stream_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_stream_time: assertion 'segment->format == format'  failedTo manage notifications about this bug go to:https://bugs.launchpad.net/audio-recorder/+bug/1801505/+subscriptions

melomane (domenico-guerra) wrote :

I not have 19.4... only 18.04 And work fineEnvoyé depuis mon smartphone Samsung Galaxy.
-------- Message d'origine --------De : moma <email address hidden> Date : 03/03/2019 20:07 (GMT+01:00) À : <email address hidden> Objet : [Bug 1801505] Re: record from spotify series 1 not work fine Sorry, I mean Ubuntu 19.04. (too much wine ;-)And yes, it runs fine on Ubuntu 18.10 too. I just tested it.Expand the "audio-recorder-3.0.2~disco" link and click the appropriate .deb file. Install it.//Moma-- You received this bug notification because you are subscribed to the bugreport.https://bugs.launchpad.net/bugs/1801505Title:  record from spotify series 1 not work fineStatus in Audio Recorder:  Fix CommittedBug description:  when start playing in spotify 1,  record start as attended,  but stop after 1/2 second.  when start again and stop and start and stop... after 2 seconds record is fine but first 2 seconds of recording are lost.  also this appeared if volume is changed.  ubuntu 18.04, mint 18.3  with spotify 0.9 series all work fine.  ~ $ audio-recorder --debug-signal  Please activate the timer (checkbox) to see the level values.  (audio-recorder:9575): Gdk-CRITICAL **:  gdk_window_thaw_toplevel_updates: assertion  'window->update_and_descendants_freeze_count > 0' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GLib-CRITICAL **: g_variant_get_int64:  assertion 'g_variant_is_of_type (value, G_VARIANT_TYPE_INT64)' failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_stream_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_stream_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_running_time: assertion 'segment->format == format'  failed  (audio-recorder:9575): GStreamer-CRITICAL **:  gst_segment_to_stream_time: assertion 'segment->format == format'  failedTo manage notifications about this bug go to:https://bugs.launchpad.net/audio-recorder/+bug/1801505/+subscriptions

moma (osmoma) wrote :

Hello all,
@melomane: Merci beaucoup.

Launchpad has now packages for Ubuntu 18.10(cosmic) and 19.04(disco).
Version is 3.0.3.

All good.
This issue (case) is closed.

Bom dia e obrigado.
Osmo Moma Antero
Portugal

Changed in audio-recorder:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers